Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.AspectRatioMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.AspectRatioMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.AspectRatioMode

extends java.lang.Enum
implements QtEnumerator

This enum type defines what happens to the aspect ratio when scaling an rectangle.

See also:
  QSize::scale(), and `QImage::scaled()`.

See Also:
  Serialized Form

Field Summary
`static Qt.AspectRatioMode` | `IgnoreAspectRatio` The size is scaled freely.
`static Qt.AspectRatioMode` | `KeepAspectRatio` The size is scaled to a rectangle as large as possible inside a given rectangle, preserving the aspect ratio.
`static Qt.AspectRatioMode` | `KeepAspectRatioByExpanding` The size is scaled to a rectangle as small as possible outside a given rectangle, preserving the aspect ratio.

Method Summary
`static Qt.AspectRatioMode` | `resolve(int value)` Returns the AspectRatioMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.AspectRatioMode` | `valueOf(java.lang.String name)`
`static Qt.AspectRatioMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### IgnoreAspectRatio

    public static final Qt.AspectRatioMode IgnoreAspectRatio

  The size is scaled freely. The aspect ratio is not preserved.

### KeepAspectRatio

    public static final Qt.AspectRatioMode KeepAspectRatio

  The size is scaled to a rectangle as large as possible inside a given rectangle, preserving the aspect ratio.

### KeepAspectRatioByExpanding

    public static final Qt.AspectRatioMode KeepAspectRatioByExpanding

  The size is scaled to a rectangle as small as possible outside a given rectangle, preserving the aspect ratio.

Method Detail

### values

    public static Qt.AspectRatioMode[] values()

### valueOf

    public static Qt.AspectRatioMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.AspectRatioMode resolve(int value)

  Returns the AspectRatioMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD